Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOP_EndpointsC.h File Reference

`#include "tao/CDR.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for IIOP_EndpointsC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _TAO_IIOPENDPOINTSEQUENCE_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::IIOP_Endpoint_Info &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::IIOP_Endpoint_Info &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::IIOPEndpointSequence &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::IIOPEndpointSequence &)

## Define Documentation

#define _TAO_IIOPENDPOINTSEQUENCE_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::IIOPEndpointSequence & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::IIOP_Endpoint_Info & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::IIOPEndpointSequence & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::IIOP_Endpoint_Info & |
| ) |